#ifndef QDATA5_H
#define QDATA5_H

#include <qwt_data.h>

class QData5 : public QwtData
{
public:
    QData5(double *,double *,size_t);
    ~QData5();

    virtual size_t size() const;
    virtual double x(size_t) const;
    virtual double y(size_t) const;
    virtual QwtData *copy() const;

protected:
    double *azimuth;
    double *radial;
    size_t d_size;
};

#endif // QDATA5_H
