#include "qdata5.h"

QData5::QData5(double *az,double *rad,size_t sz)
{
    azimuth = (double *)malloc(2*sz*sizeof(double));
    radial = azimuth + sz;
    for (int k=0; k < (int)sz; k++)
    {
        azimuth[k] = az[k];
        radial[k] = rad[k];
    }
    d_size = sz;
}

QData5::~QData5() {
    free((void *)azimuth);
}

size_t QData5::size() const {
    return d_size;
}

double QData5::x(size_t i) const {
    return azimuth[i];
}

double QData5::y(size_t i) const {
    return radial[i];
}

QwtData *QData5::copy() const {
    return new QData5(azimuth,radial,d_size);
}
